Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.store
Class DatabaseType

    java.lang.Object
      com.hp.hpl.jena.sparql.util.Symbol
          com.hp.hpl.jena.sdb.store.DatabaseType

All Implemented Interfaces:
  com.hp.hpl.jena.sparql.util.Named

    public class DatabaseType

extends com.hp.hpl.jena.sparql.util.Symbol
implements com.hp.hpl.jena.sparql.util.Named

Field Summary
`static DatabaseType` | `DB2`
`static DatabaseType` | `Derby`
`static DatabaseType` | `H2`
`static DatabaseType` | `HSQLDB`
`static DatabaseType` | `MySQL`
`static DatabaseType` | `Oracle`
`static DatabaseType` | `PostgreSQL`
`static DatabaseType` | `SQLServer`

Method Summary
`static List<String>` | `allNames()`
`static List<DatabaseType>` | `allTypes()`
`static DatabaseType` | `fetch(String databaseTypeName)`
`String` | `getName()`
`static void` | `register(DatabaseType dbType)`
`static void` | `register(String name)`
`static void` | `registerName(String databaseName, DatabaseType dbType)`

Methods inherited from class com.hp.hpl.jena.sparql.util.Symbol
`create, create, equals, getSymbol, hashCode, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Derby

    public static final DatabaseType Derby

### H2

    public static final DatabaseType H2

### HSQLDB

    public static final DatabaseType HSQLDB

### MySQL

    public static final DatabaseType MySQL

### PostgreSQL

    public static final DatabaseType PostgreSQL

### SQLServer

    public static final DatabaseType SQLServer

### Oracle

    public static final DatabaseType Oracle

### DB2

    public static final DatabaseType DB2

Method Detail

### fetch

    public static DatabaseType fetch(String databaseTypeName)

### allNames

    public static List<String> allNames()

### allTypes

    public static List<DatabaseType> allTypes()

### register

    public static void register(String name)

### register

    public static void register(DatabaseType dbType)

### registerName

    public static void registerName(String databaseName,
                                    DatabaseType dbType)

### getName

    public String getName()

  Specified by:
    `getName` in interface `com.hp.hpl.jena.sparql.util.Named`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.